org.wildfly.swarm.config.ejb3

## Class Cache<T extends Cache<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.Cache<T>

-     public class Cache<T extends Cache<T>>
      extends Object

  A SFSB cache

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cache(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `alias(String value)` The aliases by which this cache may also be referenced
    `List<String>` | `aliases()` The aliases by which this cache may also be referenced
    `T` | `aliases(List<String> value)` The aliases by which this cache may also be referenced
    `T` | `aliases(String... args)` The aliases by which this cache may also be referenced
    `String` | `getKey()`
    `String` | `passivationStore()` The passivation store used by this cache
    `T` | `passivationStore(String value)` The passivation store used by this cache
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cache

          public Cache(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### aliases

          public List<String> aliases()

      The aliases by which this cache may also be referenced

    - #### aliases

          public T aliases(List<String> value)

      The aliases by which this cache may also be referenced

    - #### alias

          public T alias(String value)

      The aliases by which this cache may also be referenced

    - #### aliases

          public T aliases(String... args)

      The aliases by which this cache may also be referenced

    - #### passivationStore

          public String passivationStore()

      The passivation store used by this cache

    - #### passivationStore

          public T passivationStore(String value)

      The passivation store used by this cache

Copyright © 2018 JBoss by Red Hat. All rights reserved.